| Home | Libraries | People | FAQ | More

###### value::as_array (1 of 3 overloads)

Return a reference to the underlying `array`, or throw an exception.

###### Synopsis

    array&
    as_array();

###### Description

If `is_array()` is `true`, returns a reference to the underlying `array`, otherwise throws an exception.

###### Complexity

Constant.

###### Exception Safety

Strong guarantee.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `! this->is_array()`